package com.yihu.wlyy.entity.patient;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2017/4/18.
 */
@Entity
@Table(name = "wlyy_patient_family_temp")
public class PatientFamilyTemp extends IdEntity {

    //处理人
    private String dealer;
    //患者code
    private String patient;
    //患者姓名
    private String patientName;
    //患者家人code
    private String familyMember;
    //患者家庭关系
    private int familyRelation;
    //添加时间
    private Date czrq;
    //状态标识
    // 0 ：未处理；1：已同意；2：已拒绝;3:已撤销
    private String state;
    //更新时间
    private Date updateTime;

    public String getDealer() {
        return dealer;
    }

    public void setDealer(String dealer) {
        this.dealer = dealer;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getFamilyMember() {
        return familyMember;
    }

    public void setFamilyMember(String familyMember) {
        this.familyMember = familyMember;
    }

    public int getFamilyRelation() {
        return familyRelation;
    }

    public void setFamilyRelation(int familyRelation) {
        this.familyRelation = familyRelation;
    }

    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
